Update a spending plan iteration item
curl --request PUT \
--url https://api.example.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid} \
--header 'Content-Type: application/json' \
--data '
{
"category_guid": "<string>",
"item_type": 123,
"planned_amount": 123,
"scheduled_payment_guid": "<string>",
"top_level_category_guid": "<string>"
}
'import requests
url = "https://api.example.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid}"
payload = {
"category_guid": "<string>",
"item_type": 123,
"planned_amount": 123,
"scheduled_payment_guid": "<string>",
"top_level_category_guid": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
category_guid: '<string>',
item_type: 123,
planned_amount: 123,
scheduled_payment_guid: '<string>',
top_level_category_guid: '<string>'
})
};
fetch('https://api.example.com/users/{user_guid}/spending_plans/{spending_plan_guid}/iterations/current/iteration_items/{iteration_item_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Spending Plans
Update a spending plan iteration item
Use this endpoint to update an existing spending_plan_iteration_item.
PUT
/
users
/
{user_guid}
/
spending_plans
/
{spending_plan_guid}
/
iterations
/
current
/
iteration_items
/
{iteration_item_guid}
Update a spending plan iteration item
Path Parameters
string
required
The unique identifier for the user. Defined by MX.
string
required
The unique identifier for the spending plan. Defined by MX.
string
required
The unique identifier for the spending plan iteration item. Defined by MX.
Request Body
string
The unique identifier for the category. Defined by MX.
number
The type of the iteration item.
number
required
The planned amount for this iteration item.
string
The unique identifier for the scheduled payment. Defined by MX.
string
The unique identifier for the top-level category. Defined by MX.
⌘I

